/*!
 * @file		ProfileDlgController.h
 * @brief		 â // ϴ Ŭ
 * @author		
 * @date		2012-06-05 
 * @warning		
 * @attention	Copyright 2012 NTS Corp. All rights reserved.
 */
#pragma once
#include "ProfileDlg.h"

#define MAX_PROFILE_DLG_NUM		50

typedef std::vector<CProfileDlg*>::iterator PROFILE_DLG_ITER;

class CProfileDlgController
{
public:
	CProfileDlgController(void);
	~CProfileDlgController(void);

	BOOL CreateProfileDlg(CString strUserID, RECT rcAround, HWND hWndParent);
	void CloseProfileDlg();
	void CloseDlg(CString strID, int nDlgID);
	void CloseAllDlg();
	int	GetCount();
	void SetReadOnly(BOOL bStatus);

private:
	void Add(CProfileDlg* pProfileDlg);
	CProfileDlg* GetProfileDlg(CString strID);
	CRect GetNewDlgRect();
	int CreateDlgID();
	void RemoveDlgID(int nDlgID);

	std::vector<CProfileDlg*> m_dlgVector;
	CRect m_rcNewDlgRect;
	CCriticalSection m_csProfileDlgID;
	bool	m_bDlgCreated[MAX_PROFILE_DLG_NUM];
};
